%define name roundcube-plugin-keyboard-shortcuts
%define version 2.6
%define release 1
Summary: Provides context Menu to Roundcube.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
#https://github.com/corbosman/keyboard-shortcuts
Source: roundcube-keyboard-shortcuts-%{version}.tar.gz
License: GNU General Public License Version 3+
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
AutoReqProv: no

%description
Roundcube Webmail is a browser-based multilingual IMAP client with an
application-like user interface.  It provides full functionality
expected from an e-mail client, including MIME support, address book,
folder manipulation and message filters.

keyboard_shortcuts allows some functionality to be handled with the keyboard. It adds an icon to the mail screen to view all available shortcuts.

%changelog
* Wed Sep 11 2024 Jean-Philippe Pialasse <jpp@koozali.org> 2.6-1.sme
- initial release for SME 11

%prep

%setup -q -n roundcube-plugin-keyboard_shortcuts-%{version}

%build
#perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/keyboard-shortcuts/
( find . -depth -print | cpio -dump $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/keyboard-shortcuts/)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf roundcube-keyboard-shortcuts-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
